function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, PrimaryColumn, Column, Index } from "typeorm";
import { id } from "../id.js";
export let OAuthApp = class OAuthApp {
    id;
    createdAt;
    clientId;
    clientSecret;
    name;
    website;
    scopes;
    redirectUris;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], OAuthApp.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the OAuth application"
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], OAuthApp.prototype, "createdAt", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 64,
        comment: "The client id of the OAuth application"
    }),
    _ts_metadata("design:type", String)
], OAuthApp.prototype, "clientId", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        comment: "The client secret of the OAuth application"
    }),
    _ts_metadata("design:type", String)
], OAuthApp.prototype, "clientSecret", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128,
        comment: "The name of the OAuth application"
    }),
    _ts_metadata("design:type", String)
], OAuthApp.prototype, "name", void 0);
_ts_decorate([
    Column("varchar", {
        length: 256,
        nullable: true,
        comment: "The website of the OAuth application"
    }),
    _ts_metadata("design:type", Object)
], OAuthApp.prototype, "website", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        array: true,
        comment: "The scopes requested by the OAuth application"
    }),
    _ts_metadata("design:type", Array)
], OAuthApp.prototype, "scopes", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512,
        array: true,
        comment: "The redirect URIs of the OAuth application"
    }),
    _ts_metadata("design:type", Array)
], OAuthApp.prototype, "redirectUris", void 0);
OAuthApp = _ts_decorate([
    Entity('oauth_app')
], OAuthApp);
